Bug 37708 - [C6SR0] "Building from a network share path is not supported at the moment." message might be outdated now that additional fixes have been added to C6SR1.
Summary: [C6SR0] "Building from a network share path is not supported at the moment." ...
Status: CONFIRMED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.0.0 (C6)
Hardware: PC Windows
: Normal normal
Target Milestone: Future Cycle
Assignee: Bugzilla
URL:
: 36632 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-01-14 23:50 UTC by Brendan Zagaeski (Xamarin Team, assistant)
Modified: 2016-12-27 23:02 UTC (History)
6 users (show)

Tags: NotRegression
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 37708 on Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.
Related Links:
Status:
CONFIRMED

Description Brendan Zagaeski (Xamarin Team, assistant) 2016-01-14 23:50:27 UTC
"Building from a network share path is not supported at the moment." message might be outdated now that additional fixes have been added to C6SR1.




## Recommended "workaround" for now

The recommended approach for the current versions of XamarinVS is to map the network folder to a network drive, as mentioned in the error message.

See for example http://windows.microsoft.com/en-us/windows/create-shortcut-map-network-drive.




## Regression status: "regression" in Cycle 6 SR 0

In fact this was an intentional "breaking change" to help provide a more actionable error message for certain causes of "The "UnpackLibraryResources" task failed unexpectedly" that customers were seeing due to long generated path names on the Mac build host.




## Steps to replicate

1. Use Visual Studio to open an iOS app project that is located within a network share. Use the `\\` UNC name syntax in Explorer to access the share folder.

2. Attempt to build and deploy the project.




## Results

The build fails because XamarinVS explicitly disallows project paths that start with `\\`.

This appears in the Error List as:

> Building from a network share path is not supported at the moment. Please map
> a network drive to
> '\\FileServer\Share\Projects\UnifiedSingleViewIphone1\UnifiedSingleViewIphone1\UnifiedSingleViewIphone1.csproj'
> or copy the source to a local directory. is no longer




## Possible improvements

First I should note that an additional fix has now been committed (and merged into Cycle 6 – Service Release 1) that will in theory stop the "UnpackLibraryResources" problem that was the original motivation for adding the restriction. That fix is currently somewhat "underused" because the UNC path restriction eliminates one use case for the fix.

(Bug 36195, Comment 4 lists the exact commit for this additional fix.)


So:

- Maybe an option could be added to disable the error (perhaps via an MSBuild property) so that customers could _try_ to use UNC names in special circumstances if mapping the network folder to a drive letter [1] was for some reason not possible given the constraints of their particular workflow. (By disabling this error, customers would "opt-in" to taking a risk of hitting trickier error messages like the original "UnpackLibraryResources" error.)

- Or maybe the error could be changed to a warning?


Making the error optional (or at least changing it to a non-fatal warning) seems important since Visual Studio itself does not impose a similar restriction. It is probably strongly preferable to avoid adding restrictions in Xamarin that do not exist in VS itself if at all possible.



[1] http://windows.microsoft.com/en-us/windows/create-shortcut-map-network-drive



Thanks!
Comment 2 Brendan Zagaeski (Xamarin Team, assistant) 2016-01-15 00:01:27 UTC
I haven't had a chance to experiment with this yet myself to confirm it, but the customer on duplicate Bug 36632 reported another reason that this error behavior might need to be changed:

> VS2015 does not allow opening projects via the IDE that are on a mapped drive
Comment 3 Brendan Zagaeski (Xamarin Team, assistant) 2016-01-15 00:05:10 UTC
*** Bug 36632 has been marked as a duplicate of this bug. ***
Comment 4 Brendan Zagaeski (Xamarin Team, assistant) 2016-01-15 03:51:50 UTC
Just as a small follow-up to Comment 2, I have so far not been able to hit that restriction in my test environment (VS 2015 Update 1, Windows 10, and Window 8.1). I hit _no_ errors when loading an iOS app project that was stored on a network folder on my Mac build host mapped to a drive letter on Windows. (See Bug 36632, Comment 2 for a few more details.)
Comment 8 Bob Japundza 2016-05-09 14:29:36 UTC
Just a followup on this bug.  I have two solutions in a single directory under documents on my Mac.  One is a Xamarin app, the other is a WebAPI solution.  I can build and run the WebAPI solution just fine from VS2015 Update 2 running on Parallels, the path being \\mac\home\documents....  Not so with the Xamarin solution.  Still getting the message saying I need to map a drive.  Honestly I can't recall the last time I mapped a drive (maybe 1997 or so) and think this should be fixed to allow builds with a UNC path.